---
search:
  tags:
    - Store Groups
    - POST
seo:
  description: >-
    Creates a new store group with the specified name, slug,… Reference for the
    POST /api/v1/{team_slug}/{app_slug}/store-groups endpoint in the Management
    API.
sidebar:
  label: Create a store group
  badge: POST
title: Create a store group
type: openapi-operation
---
Creates a new store group with the specified name, slug, store type, and optional markets. The store group defines pricing and availability settings for products across multiple markets.

`POST /api/v1/{team_slug}/{app_slug}/store-groups`

**Request body** (`application/json`, required)

Store group data

- `country_of_sale` (string, required) — Country value needs to follow ISO3166\_1\_alpha2, which means we want a country value written in alpha-2 two-letter country codes, Example: SE or FI
- `description` (string)
- `markets` (string[]) — The slug of the markets which should be related to this store group
- `name` (string, required)
- `slug` (string, required)
- `store_type` (string)

Request body example:

```json
{
  "country_of_sale": "string",
  "description": "string",
  "markets": [
    "string"
  ],
  "name": "string",
  "slug": "string",
  "store_type": "b2c"
}
```

**Responses**

- `200` — Store group created successfully
- `201` — Successful response
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "country_of_sale": "string",
    "created_at": "string",
    "description": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "is_tax_exemption_eligible": true,
        "is_tax_included_in_price": true,
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "store_type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
